Storage Automated Diagnostic Environment 2.3 Device Edition Release Notes
Patch 116720-10 Release Notes

Part Number: 817-6192-10
Date: Sep/15/04
=========================

READ BEFORE USING THIS REVISION

The Release Notes for this patch are available only in English.

The Release Notes contain information specific to this
revision. This information is not elsewhere in the
product documentation set.

The Release Notes for this product are on the product media.
You can print them as you would any other ASCII file.

Copyright 2004 Sun Microsystems, Inc., 4150 Network Circle,
Santa Clara, California 95054, U.S.A. All rights reserved.

Sun Microsystems, Inc. has intellectual property rights relating to
technology embodied in the product that is described in this document.
In particular, and without limitation, these intellectual property
rights may include one or more of the U.S. patents listed at
http://www.sun.com/patents and one or more additional patents or
pending patent applications in the U.S. and in other countries.

This document and the product to which it pertains are distributed
under licenses restricting their use, copying, distribution, and
decompilation. No part of the product or of this document may be
reproduced in any form by any means without prior written authorization
of Sun and its licensors, if any.

Third-party software, including font technology, is copyrighted and
licensed from Sun suppliers.

Parts of the product may be derived from Berkeley BSD systems, licensed
from the University of California. UNIX is a registered trademark in
the U.S. and in other countries, exclusively licensed through X/Open
Company, Ltd.

Sun, Sun Microsystems, the Sun logo, AnswerBook2, Sun StorEdge,
docs.sun.com, Sun Enterprise, Sun Fire, SunOS, Netra, SunSolve, and
Solaris are trademarks or registered trademarks, or service marks of
Sun Microsystems, Inc. in the U.S. and in other countries. All SPARC
trademarks are used under license and are trademarks or registered
trademarks of SPARC International, Inc. in the U.S. and in other
countries. Products bearing SPARC trademarks are based upon an
architecture developed by Sun Microsystems, Inc.

The OPEN LOOK and SunTM Graphical User Interface was developed by Sun
Microsystems, Inc. for its users and licensees. Sun acknowledges the
pioneering efforts of Xerox in researching and developing the concept
of visual or graphical user interfaces for the computer industry. Sun
holds a non-exclusive license from Xerox to the Xerox Graphical User
Interface, which license also covers Sun's licensees who implement
OPEN LOOK GUIs and otherwise comply with Sun's written license
agreements.

U.S. Government Rights-Commercial use. Government users are subject to
the Sun Microsystems, Inc. standard license agreement and applicable
provisions of the FAR and its supplements.

DOCUMENTATION IS PROVIDED "AS IS" AND ALL EXPRESS OR IMPLIED
CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY IMPLIED
WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
NON-INFRINGEMENT, ARE DISCLAIMED, EXCEPT TO THE EXTENT THAT SUCH
DISCLAIMERS ARE HELD TO BE LEGALLY INVALID.


Copyright 2004 Sun Microsystems, Inc., 4150 Network Circle,
Santa Clara, California 95054, Etats-Unis. Tous droits réservés.

Sun Microsystems, Inc. a les droits de propriété intellectuels
relatantsà la technologie incorporée dans le produit qui est décrit
dans ce document. En particulier, et sans la limitation, ces droits
de propriété intellectuels peuvent inclure un ou plus des brevets
américains énumérés à http://www.sun.com/patents et un ou les brevets
plus supplémentaires ou les applications de brevet en attente dans
les Etats-Unis et dans les autres pays.

Ce produit ou document est protégé par un copyright et distribué
avec des licences qui en restreignent l'utilisation, la copie, la
distribution, et la décompilation. Aucune partie de ce produit ou
document ne peut être reproduite sous aucune forme, parquelque moyen
que ce soit, sans l'autorisation préalable et écrite de Sun et de
ses bailleurs de licence, s'il y ena.

Le logiciel détenu par des tiers, et qui comprend la technologie
relative aux polices de caractères, est protégé par un copyright et
licencié par des fournisseurs de Sun.

Des parties de ce produit pourront être dérivées des systèmes Berkeley
BSD licenciés par l'Université de Californie. UNIX est une marque
déposée aux Etats- Unis et dans d'autres pays et licenciée
exclusivement par X/Open Company, Ltd.

Sun, Sun Microsystems, le logo Sun, AnswerBook2, Sun StorEdge,
docs.sun.com, Sun Enterprise, Sun Fire, SunOS, Netra, SunSolve, et
Solari sont des marques de fabrique ou des marques déposées de Sun
Microsystems, Inc. aux Etats-Unis et dans d'autres pays.

Toutes les marques SPARC sont utilisées sous licence et sont des
marques de fabrique ou des marques déposées de SPARC International,
Inc. aux Etats-Unis et dans d'autres pays. Les produits protant les
marques SPARC sont basés sur une architecture développée par Sun
Microsystems, Inc.

L'interface d'utilisation graphique OPEN LOOK et SunTM a été développée
par Sun Microsystems, Inc. pour ses utilisateurs et licenciés. Sun
reconnaît les efforts de pionniers de Xerox pour la recherche et le
développment du concept des interfaces d'utilisation visuelle ou
graphique pour l'industrie de l'informatique. Sun détient une license
non exclusive do Xerox sur l'interface d'utilisation graphique Xerox,
cette licence couvrant également les licenciées de Sun qui mettent en
place l'interface d 'utilisation graphique OPEN LOOK et qui en outre
se conforment aux licences écrites de Sun.

LA DOCUMENTATION EST FOURNIE "EN L'ÉTAT" ET TOUTES AUTRES CONDITIONS,
DECLARATIONS ET GARANTIES EXPRESSES OU TACITES SONT FORMELLEMENT
EXCLUES, DANS LA MESURE AUTORISEE PAR LA LOI APPLICABLE, Y COMPRIS
NOTAMMENT TOUTE GARANTIE IMPLICITE RELATIVE A LA QUALITE MARCHANDE, A
L'APTITUDE A UNE UTILISATION PARTICULIERE OU A L'ABSENCE DE
CONTREFAÇON.


DOCUMENT STRUCTURE
==================

These Release Notes contain the following sections:

o Introduction
o Audience
o Deliverables
o Product Packaging
o Related Documentation
o Qualified Platforms
o Features
o Installation Instructions
o Product Hints
o Changes and Enhancements
o External Products and Packages
o Known Problems
o Resolved Problems


INTRODUCTION
============

The Storage Automated Diagnostic Environment 2.3 package
provides a graphical user interface, enabling the user to remotely
monitor and diagnose Sun storage devices.  The Agent can be used
to collect data and analyze the condition of Sun StorEdge devices.
The Diagnostics can be used to verify the condition
of a system, identify failing FRUs and verify FRU replacement.


AUDIENCE
========

The Storage Automated Diagnostic Environment 2.3 is for use by system
administrators and support personnel who are familiar with Sun's disk
array and SAN products.


DELIVERABLES
============

Documentation Delivered With This Product
-----------------------------------------
The following documentation is delivered with this product:

Application     Title
-----------     -----

Man Pages       6120ofdg.1m
                6120ondg.1m
                6120test.1m
                6120volverify.1m
                a3500fctest.1m
                a5ksestest.1m
                a5ktest.1m
                brocadetest.1m
                checkcron.1m
                clearcache.1m
                config_solution.1m
                d2disktest.1m
                daksestest.1m
                daktest.1m
                dex.1m
                discman.1m
                disk_inquiry.1m
                disktest.1m
                echotest3510.1m
                fcdisktest.1m
                fctapetest.1m
                ifptest.1m
                jnitest.1m
                lbf.1m
                linktest.1m
                loopmap3510.1m
                looptest3510.1m
                ondg.1m
                qlctest.1m
                ras_admin.1m
                ras_discover.1m
                ras_install.1m
                ras_patchlist.1m
                ras_remote.1m
                ras_revcheck.1m
                ras_upgrade.1m
                rasagent.1m
                sanbox.1m
                save_password.1m
                sccli.1m
                se2_configcheck.1m
                se_configcheck.1m
                showBypassDevice3510.1m
                snapshot.1m
                socaltest.1m
                stresstest.1m
                switch2test.1m
                switchtest.1m
                t3command.1m
                t3ofdg.1m
                t3test.1m
                t3volverify.1m
                testt3.1m
                test3510.1m
                vediag.1m
                veluntest.1m
                volverify.1m
                volverifytest.1m

User/Admin      Storage Automated Diagnostic Getting Started Guide
                (817-3284-10)


PRODUCT PACKAGING
=================

The Storage Automated Diagnostic Environment 2.3 software is distributed as
an unbundled product in the pkgadd format as SUNWstade.


RELATED DOCUMENTATION
=====================

User/Admin      Best Practices for Deploying the Storage Automated Diagnostic
                Environment to Monitor Storage (817-5205-10)


Sun StorEdge 5210 NAS documentation:
    Sun StorEdge 5210 NAS Quick Reference Manual
    Sun StorEdge 5210 NAS Hardware Installation, Configuration, and User Guide
    Sun StorEdge 5210 NAS Software Installation, Configuration, and User Guide
    Sun StorEdge 5210 NAS Safety and Compliance Guide
    Sun StorEdge 5210 Expansion Unit Safety and Compliance Guide

Sun StorEdge 6920 documentation:
    Sun StorEdge 6920 System Getting Started Guide (817-5227-xx)
    Sun StorEdge 6920 System Site Preparation Guide (817-5224-xx)
    Sun StorEdge 6920 System Regulatory and Safety Compliance Manual
        (817-5230-xx)
    Sun StorEdge 6920 System Release Notes (817-5229-xx)

Sun StorEdge 3310 documentation:
    Sun StorEdge 3310 SCSI Array Release Notes (816-7292-22)
    Sun StorEdge 3000 Family Best Practices Manual for the Sun StorEdge 3310
        SCSI Array (816-7293-13)
    Sun StorEdge 3000 Family 1.5 Software Installation Guide (817-3764-11)
    Sun StorEdge 3000 Family Configuration Service 1.5 User's Guide
        (817-3337-12)
    Sun StorEdge 3000 Family Diagnostic Reporter 1.5 User's Guide (817-3338-12)
    Sun StorEdge 3000 Family FRU Installation Guide (816-7326-16)
    Sun StorEdge 3000 Family Installation, Operation, and Service Manual for
        the Sun StorEdge 3310 SCSI Array (816-7290-15)
    Sun StorEdge 3000 Family Rack Installation Guide for 2U Arrays (817-3629-10)
    Sun StorEdge 3000 Family RAID Firmware 3.25 and 3.27 User's Guide for the
        Sun StorEdge 3310 SCSI Array and Sun StorEdge 3510 FC Array
        (817-3711-10)
    Sun StorEdge 3000 Family CLI 1.5 User's Guide (817-4951-10)
    Sun StorEdge 3000 Family Safety, Regulatory, and Compliance Manual
        (816-7930-12)

Sun StorEdge 3510 documentation:
    Sun StorEdge 3510 FC Array Release Notes (816-7301-20)
    Sun StorEdge 3000 Family Best Practices Manual, Sun StorEdge 3510 FC Array
        (816-7325-13)
    Sun StorEdge 3000 Family 1.5 Software Installation Guide (817-3764-11)
    Sun StorEdge 3000 Family Configuration Service 1.5 User's Guide
        (817-3337-12)
    Sun StorEdge 3000 Family Diagnostic Reporter 1.5 User's Guide (817-3338-12)
    Sun StorEdge 3000 Family FRU Installation Guide (816-7326-16)
    Sun StorEdge 3000 Family Installation, Operation, and Service Manual, Sun
        StorEdge 3510 FC Array (816-7300-15)
    Sun StorEdge 3000 Family Rack Installation Guide for 2U Arrays (817-3629-10)
    Sun StorEdge 3000 Family RAID Firmware 3.25 and 3.27 User's Guide for the
        Sun StorEdge 3310 SCSI Array and Sun StorEdge 3510 FC Array
        (817-3711-10)
    Sun StorEdge 3000 Family CLI 1.5 User's Guide (817-4951-10)
    Sun StorEdge 3000 Family Safety, Regulatory, and Compliance Manual
        (816-7930-12)

Sun StorEdge 3511 documentation:
    Sun StorEdge 3511 FC Array with SATA Release Notes (817-6597-10)
    Sun StorEdge 3000 Family Installation, Operation, and Service Manual, Sun
        StorEdge 3510 FC Array, Sun StorEdge 3511 FC Array with SATA pdf
        (10.4MB) (816-7300-16)
    Sun StorEdge 3000 Family Best Practices Manuan, Sun StorEdge 3510 FC Array,
        Sun StorEdge 3511 FC Array with SATA (816-7325-15)
    Sun StorEdge 3000 Family RAID Firmware 3.25 and 3.27 User's Guide, Sun
        StorEdge 3310 SCSI Array, Sun StorEdge 3510 FC Array, Sun StorEdge 3511
        FC Array with SATA (817-3711-11)
    Sun StorEdge 3000 Family FRU Installation Guide (816-7326-17)
    Sun StorEdge 3000 Family Rack Installation Guide for 2U Arrays (817-3629-10)
    Sun StorEdge 3000 Family Configuration Service 1.5 User's Guide
        (817-3337-12)
    Sun StorEdge 3000 Family Diagnostic Reporter 1.5 User's Guide (817-3338-12)
    Sun StorEdge 3000 Family Software Installation Guide Sun StorEgde
        Configuration Service 1.5, Sun StorEgde Diagnostic Reporter 1.5, Sun
        StorEgde Command-Line Interface 1.6 (817-3764-12)
    Sun StorEdge 3000 Family CLI 1.6 User's Guide (817-4951-12)
    Sun StorEdge 3000 Family Safety, Regulatory, and Compliance Manual
        (816-7930-13)

Sun StorEdge 3120 documentation:
    Sun StorEdge 3120 SCSI Array Release Notes (816-7955-10)
    Sun StorEdge 3000 Family 1.5 Software Installation Guide (817-3764-11)
    Sun StorEdge 3000 Family Installation, Operation and Service Manual for the
        Sun StorEdge 3120 SCSI Array (816-7956-10)
    Sun StorEdge 3000 Family Rack Installation Guide for 1U Arrays Array
        (816-7964-12)
    Sun StorEdge 3000 Family Configuration Service 1.5 User's Guide
        (817-3337-12)
    Sun StorEdge 3000 Family Diagnostic Reporter 1.5 User's Guide (817-3338-12)
    Sun StorEdge 3000 Family FRU Installation Guide (816-7326-16)
    Sun StorEdge 3000 Family CLI 1.5 User's Guide (817-4951-10)
    Sun StorEdge 3000 Family Safety, Regulatory, and Compliance Manual
        (816-7930-12)

Sun StorEdge SAM-QFS (Utilization Suite 4.1) documentation:
    Sun SAM-Remote Administrator's Guide pdf (1.0MB) (816-2094-11)
    Sun QFS, Sun SAM-FS, and Sun SAM-QFS Disaster Recovery Guide (816-2540-10)
    Sun StorEdge QFS and Sun StorEdge SAM-FS File System Administration Guide
        (817-4091-10)
    Sun StorEdge QFS and Sun StorEdge SAM-FS Software Installation and
        Configuration Guide (817-4092-10)
    Sun StorEdge SAM-FS Storage and Archive Management Guide (817-4093-10)
    Sun StorEdge QFS and Sun StorEdge SAM-FS 4.1 Release Notes (817-4094-10)

Sun StorEdge SAM-QFS (Utilization Suite 4.2) documentation:
    TBD

Sun StorEdge T3 and T3+ Array documentation:
    Sun StorEdge T3 and T3+ Array Start Here (816-0772-10)
    Sun StorEdge T3 and T3+ Array Installation, Operations and
        Service Manual (816-0773-10)
    Sun StorEdge T3 and T3+ Array Administrator's Guide (816-0776-10)
    Sun StorEdge T3 and T3+ Array Configuration Guide (816-0777-10)
    Sun StorEdge T3 and T3+ Array Site Preperation Guide (816-0778-10)
    Sun StorEdge T3 and T3+ Field Service Manual (816-0779-10)
    Sun StorEdge T3 and T3+ Array Release Notes (816-0781-12)

Sun StorEdge A5000 Array documentation:
    Sun StorEdge A5000 User's Guide (806-1946-10)
    Sun StorEdge A5000 Release Notes (806-1947-10)
    Sun StorEdge A5000 Product Note (805-1018-13)
    Sun StorEdge A5000 Configuration Guide (805-0264-15)
    Sun StorEdge A5000 Installation and Documentation Guide (805-1903-15)

Sun StorEdge PCI FC-100 Host Adapter documentation:
    Sun StorEdge PCI FC-100 Host Adapter Installation Manual (805-3682-10)

Sun StorEdge SBus FC-100 Host Adapter documentation:
    Sun StorEdge SBus FC-100 Host Adapter Installation and
        Service Manual (802-7572-11)

Sun StorEdge PCI Dual Fibre Channel Host Adapter documentation:
    Sun StorEdge PCI Dual Fibre Channel Host Adapter Product Notes (806-5857-10)
    Sun StorEdge PCI Dual Fibre Channel Host Adapter Installation
        Guide (806-5600-10)

Sun StorEdge 2Gb PCI Single Fibre Channel Host Adapter documentation:
    Sun StorEdge 2Gb PCI Single Fibre Channel Host Adapter Product Notes
        (X6767A)
    Sun StorEdge 2Gb PCI Single Fibre Channel Host Adapter Installation
        Guide (X6768A)

Sun StorEdge 2Gb PCI Dual Fibre Channel Host Adapter documentation:
    Sun StorEdge 2Gb PCI Dual Fibre Channel Host Adapter Product Notes
        (806-5857-10)
    Sun StorEdge 2Gb PCI Dual Fibre Channel Host Adapter Installation
        Guide (806-5600-10)

Sun StorEdge 2Gb cPCI Dual Fibre Channel Host Adapter documentation:
    Sun StorEdge 2Gb cPCI Dual Fibre Channel Host Adapter Product Notes
    Sun StorEdge 2Gb cPCI Dual Fibre Channel Host Adapter Installation
        Guide (X6769A)

Sun StorEdge A3500/A3500FC documentation:
    Sun StorEdge A3500/A3500FC Hardware Configuratoin Guide (805-4981-13)
    Sun StorEdge A3500/A3500FC Controller Module Guide (805-4980-11)
    Sun StorEdge A3500/A3500FC Task Map (805-4982-11)

Sun StorEdge RAID Manager 6.22 documentation:
    Sun StorEdge RAID Manager 6.22 User's Guide (806-0478-10)
    Sun StorEdge RAID Manager 6.22 Release Notes (806-3721-10)

Sun StorEdge Network FC Switch-8 and Switch-16 documentation:
    Sun StorEdge Network FC Switch-8 and Switch-16 Installation and Config
        Guide (806-6922-10)
    Sun StorEdge Network FC Switch-8 and Switch-16 Field Troubleshooting
        Guide (816-0252-10)
    Sun StorEdge Network FC Switch-8 and Switch-16 Release Notes (816-0842-15)

Sun StorEdge Network 2 Gb FC Switch-8, Switch-16, and Switch-64 documentation:
    Sun StorEdge SAN 4.0 Release Guide to Documentation (816-4470-10)
    Sun StorEdge SAN 4.0 Release Installation Guide (816-4469-10)
    Sun StorEdge SAN 4.0 Release Configuration Guide (806-5513-10)
    Sun StorEdge SAN 4.0 Release Notes (816-4472-10)

McData ED6064 and ES3232 FC switches:
    The following documents may be found on the McData Website,
       http://www.mcdata.com:
     Intrepid TM 6064 Director Planning Manual
     Intrepid TM 6064 Director Manager User Manual
     SAN Plannning Guide
     Manager Software User Manual
     Command Line Interface User Manual

     This information can be found under:
       Knowledge Center Link -> Technical Documents

     Additional publications are available by means of McData's secure web
     site. Please contact webmaster@mcdata.com for access.

Sun StorEdge 3900 and 6900 Series documentation:
    Sun StorEdge 3900 and 6900 Series Reference and Service Guide (816-5253-10)
    Sun StorEdge 3900 and 6900 Series Site Perperation Guide (816-5256-10)
    Sun StorEdge 3900 and 6900 Series Regulatory and Safety Compliance
        Manual ( 816-5257-10)
    Sun StorEdge 3900 and 6900 Series Installation Guide (816-5252-10)
    Sun StorEdge 3900 and 6900 Series Troubleshooting Guide (816-5255-10)

Solaris:
    Solaris Handbook for Sun Peripherals (806-2210-10)


QUALIFIED PLATFORMS
===================

You can use the SUNWstade package on the following platforms and
operating systems:

Sun Platforms        : All Sun Sparc Solaris servers

Sun StorEdge         : Sun StorEdge A5000 Array (14 slot)
                       Sun StorEdge A5200 Array (22 slot)
                       Sun StorEdge A3500-FC Array
                       Sun StorEdge T3 Array (F/W 1.17 or greater)
                       Sun StorEdge T3+ Array (F/W 2.0 or greater)
                       Sun StorEdge 6120 Array
                       Sun StorEdge FC Tape T9840
                       Sun StorEdge FC Tape T9840B
                       Sun V880 Internal Fibre Channel Disks
                       Sun E3500 Internal Fibre Channel Disks
                       Sun StorEdge D2
                       Sun StorEdge 3120 SCSI JBOD Array
                       Sun StorEdge 3510 FC Array
                       Sun StorEdge 3310 SCSI RAID Array
                       Sun StorEdge 3310 SCSI JBOD Array
                       Sun StorEdge 3511 serial ATA storage Array
                       Sun StorEdge 3900 Series
                       Sun StorEdge 6900 Series
                       Sun StorEdge 6320 System
                       Sun StorEdge 9910
                       Sun StorEdge 9960
                       Sun StorEdge 9970
                       Sun StorEdge 9980
                       Sun StorEdge 5210 NAS
                       Sun StorEdge 5210 Expansion Unit (EU)

SAN                  : Sun StorEdge Network FC Switch-8 and Switch-16.
                       Sun StorEdge Network 2 Gb FC Switch-8, Switch-16
                       and Switch-64.
                       Brocade Silkworm 2400/2800 FC Switch
                       Brocade Silkworm 3200/3800/12000 FC Switch
                       Brocade 3900 32 Port FC Switch
                       McData ED6064 FC Switch
                       McData ES3232 FC Switch
                       McData 4500 2GB 24 Port FC Switch
                       McData 6140 FC Switch
                       Inrange FC 9000 Director FC Switch

Host Bus Adpaters    : Sun StorEdge PCI FC-100 Host Adapter
                       Sun StorEdge SBus FC-100 Host Adapter
                       Sun StorEdge PCI Dual Fibre Channel Host Adapter
                       Sun StorEdge 2 Gb FC PCI Single Channel Network Adapter
                       Sun StorEdge 2 Gb FC PCI Dual Channel Network Adapter
                       Sun StorEdge 2 Gb FC cPCI Dual Channel Network Adapter
                       JNI FC Host Adapter

Operating Systems    : Solaris 9
                       Solaris 8 4/01 or greater.
                       Reference the "Best Practices for Deploying Storage
                       the Sun Storage Automated Diagnostic Envoronment
                       Utility" (817-5205-10)
                       or the Storage Automated Diagnostic Getting
                       Started Guide (817-3284-10) for details on monitoring
                       data hosts with other Solaris or non-solaris OEs.

                       http://www.sun.com/blueprints

Browsers:            : Netscape 4.76, 7.x, Mozilla 1.2.1, IE 5.x, 6.x

Perl                 : 5.005 thru 5.8.3 is mandatory.  Use the following URL
                       to acquire the proper version if necessary.
                       http://www.perl.com/pub/language/info/software.html

                       If the proper version does in fact already exist,
                       create a symbolic link of the executable to
                       /usr/bin/perl.


FEATURES
========

o Collects and reports information about Sun StorEdge devices. Type of
  information reported on includes device configuration, device statistics,
  device state and availability, device message-log information, and
  system configuration.

o Incorporates a graphical user view of FC StorEdge devices and the
  interconnects.

o Contains an event grid that provides recommended service actions for
  each event.

o Creates a model of the device and its components, storing state
  information about that device and saving log information.

o Contains revision checking functionality of Fiber Channel devices.

o The Sun SAM-QFS Storage Archive Manager and Quick File System application
  version 4.1 provides SNMP traps that can be consumed by the Storage Automated
  Diagnostic Environment. This feature allows the user to configure the Storage
  Automated Diagnostic Environment so that it posts alarms and alerts the user
  when these SAM-QFS traps occur. The traps themselves are generated from one
  of three sources. They are either about errors occurring with the SAM-QFS
  application itself, tape alerts from tape drives, or tape
  alerts from tape libraries. See the "Product Hints" section listed below
  for special instructions on configuring the Storage Automated Diagnostic
  Environment and SAM-QFS for this feature.

o The Sun SAM-QFS Storage Archive Manager and Quick File System application
  version 4.2 provides a Fault Management API which increases the level of
  fault coverage for Storage Automated Diagnostic Environment 2.3 Device
  Edition. In order to experience this additional coverage  Storage Automated
  Diagnostic Environment 2.3 Device Edition (Master or Slave) must be installed
  on the same host as the SAM-QFS 4.2 to be monitored. The additional features
  are realized only when SAM-QFS 4.2 is monitored by Storage Automated
  Diagnostic Environment 2.3 Device Edition with patch 116720-10. These features
  are as follows:

  o Instrumentation Agent:
    Queries the SAM-QFS 4.2 Fault Management API for Asset and Health attributes
    of the hardware devices (tape drives and libraries) included in the SAM-QFS
    configuration. Examples of device asset attributes are those which remain
    static such as device product name, vendor and serial number. Examples of
    device health attributes are "state" (on, idle, off or down) and "attention"
    (user intervention required). When a health attribute changes to a a bad
    state, Storage Automated Diagnostic Environment 2.3 Device Edition issues an
    alarm which provides a detailed description and identifies the device in
    question.

  o Revision Checking:
    Storage Automated Diagnostic Environment 2.3 Device Edition uses the SAM-QFS
    4.2 Fault Management API in order to retrieve the current firmware revisions
    of 4 Sun branded tape libraries and 11 Sun branded tape drives qualified to
    operate with SAM-QFS.  A revision report indicates whether the firmware
    revisions of the installed devices are up to date with what Sun has
    currently released.

  o Log Parsing:
    Storage Automated Diagnostic Environment 2.3 Device Edition reads the
    sam-log of both SAM-QFS versions 4.1 and 4.2 every 5 minutes, processing
    only those entries made since the last polling cycle. If Storage Automated
    Diagnostic Environment 2.3 Device Edition finds sam-log entries that are of
    severity "warning" or higher, it posts alarms whose description contains
    the hardware device or process name and a description contained in the
    log entry. Note that in order for this feature to be effective, the SAM-QFS
    sam-log must be enabled by entries in the /etc/opt/SUNWsamfs/defaults.conf
    and /etc/syslog.conf files. See the SAM-QFS documentation for details.

  o Previous Storage Automated Diagnostic Environment 2.3 Device Edition
    features targeted for SAM-QFS 4.1 from Storage Automated Diagnostic
    Environment 2.3 Device Edition patch 116720-07 and 116720-09 remain in
    effect for patch 116720-10.


INSTALLATION INSTRUCTIONS
=========================

o The SUNWsan package is a requirement for installation on Solaris Data hosts.
  The SUNWsan package is a component of the San Foundation Software kit
  (www.sun.com/storage/san).  There are separate kits for each of Solaris 8
  and 9. In addition to the SFS kit, the luxadm patches required are:

  Solaris 8:  111413-xx (current -11) and 109529-xx (current -06)
  Solaris 9:  113043-xx (current -05)

  Install the above packages and patches before installing SUNWstade.

o You must be superuser to install this package.

o Sun Download Center

  # su
  # cd /tmp

    download compressed tar image to /tmp

  # uncompress SUNWstade.tar.Z
  # tar xvf /tmp/SUNWstade.tar
  # pkgadd -d .
    .
    .
    .

o Installation CD

  # su
  # cd /cdrom/cdrom0/product/packages
  # pkgadd -d .

o Locate potential patch(es) on sunsolve and download/install.
  http://sunsolve.com -> Patch Finder 116720

o After the package and patch(es) are completely installed, execute the program
  "/opt/SUNWstade/bin/ras_install" to install the Agent service and cron.

  # /opt/SUNWstade/bin/ras_install -h
  # /opt/SUNWstade/bin/ras_install

o After installing, set the environment
  variables PATH and MANPATH to include the
  directories "/opt/SUNWstade/bin" and "/opt/SUNWstade/man".

  # man ras_install

o Review the Getting Started Guide which applies to your locale

o Following the ras_install procedure, connect to the
  system using a supported browser using port 7654.
  (ie. http://{hostname}:7654)

o Default login as user "ras" with the password "agent". The default
  ras password can be changed under Admin->System Utilities->Root
  Password.  Additional user's can also be added under Admin->System
  Utilities->Login/Roles.

o Follow the "Basic Installation Steps" or Select "Basic Steps in Popup"
  from the Master's Home Page. Complete all required steps.

o Revision Checking should be run before creating a topology.
  Updating all firmware and software components to the current revisions,
  ensures that the devices have the capabilities required to be
  discovered, monitored and diagnosed properly.

o When configuring the Storade Automatic Diagnostic Environment to use
  the Net Connect remote provider, "NetConnect 3.1" should be selected
  for the Transport Method. Selecting any other option in this field will
  result in no data being recieved by the Net Connect Portal.


PRODUCT HINTS
=============

o Procedures for setting up the SE 5210 device for sending Traps to the
  Storage Automatic Diagnostic Environment (Storage A.D.E.) host.

  Go to the SE 5210 device UI by typing in the IP address of the device.

    - Login to the application and go to,
        Monitoring and Notification -> Configure SNMP
    - Click on Enable SNMP
    - Select SNMP Community = ?public?
    - Destination IP address = <IP address of the Storage A.D.E. host>
    - Port # = 1162 (port on which Storage A.D.E. listens for traps)
    - Version = 2
    - Community = public
    - Check the enable box.
    - Click on ?Apply? button

o When selecting the "Topology" under the "Monitor" tab in the Chinese or
  Korean locales, the localized strings on the Topology page may be displayed
  as garble characters.

  Workaround: After the error occurs if you manually select the correct
  encoding from the browser's View -> Encoding menu the localized strings
  on the page will be displayed correctly.

    For Korean, select EUC_KR
    For Simplified Chinese, select GB2312
    For Traditional Chinese, select EUC_TW

o This patch provides limited password support for 3310, 3510 and 3511 devices.
  Users can monitor the 3310/3510/3511 devices with password setup but be
  aware of the following:

  1) Password setup has no effect on In-Band discovery or monitoring.

  2) If you monitor the devices Out-Of-Band (OOB) there are several situations
     to consider:

     a) Before the 3310/3510/3511 device is added in the Storage Automated
        Diagnostic Environment application, if the password has been set up
        on the device either through the firmware GUI or sccli command line
        (or some other management software), when you add the device you
        must supply the correct password.

     b) If the device is already being monitored by the Storage Automated
        Diagnostic Environment (rasagent has been run at least one time), you
        must change the 3310/3510/3511 password through the firmware GUI or
        sccli (or some other management software). Then you must update the
        device password using the Storage Automated Diagnostic Environment
        GUI. Failure to do this will result in Lost Communication.

        To update the password, select "Administration->Maintain Devices", then
        select the 3310/3510/3511 device, click on the link, and input the new
        password in the "Enter Password:" field. Press the "update" button to
        complete the password setup.

     c) If you use /dev/deviceIP.conf to do OOB discovery then the password
        can not be setup first. After discovery, disable the password and add
        the device into the configuration following the steps outlined in step
        b) to enable the password.

  3) If you want to run the OOB diagnostic functions (ex. write/read buffer
     test, loopback test, echo test, etc.) for the 3510 device you must disable
     the password first. There is no diagnostic function for the 3310/3511 at
     this time.

  4) You can not setup the password directly for the 3310/3510/3511. When
     you update the device password from the Storage Automated Diagnostic
     Environment GUI it only updates the password information used by the
     Storage Automated Diagnostic Environment. It does not change the password
     on the array. You must use the firmware GUI or sccli command (or some
     other management software) to configure the password on the array.

  5) The 3120 and 3310 JBOD do not support password. Password only applies to
     an array with controller.

o SAM-QFS SNMP Configuration Steps:

  1) This process must be implemented from a root login.

  2) By default SNMP alerts are turned on. To ensure this check the
     /etc/opt/SUNWsamfs/defaults.conf file for a line that reads
     'alerts=off'. If necessary change it to 'alerts=on'.

  3) If you needed to turn 'alerts on' in Step 2 then you must restart
     SAM-QFS as follows:

       /opt/SUNWsamfs/sbin/samd stop
       /opt/SUNWsamfs/sbin/samd config
       /opt/SUNWsamfs/sbin/samd start

  4) Set the trap destination in /etc/opt/SUNWsamfs/scripts/sendtrap.
     By default it is set to the local host as follows:

       TRAP_DESTINATION=`hostname`

     Change TRAP_DESTINATION to read:

       TRAP_DESTINATION=`hostname`:1162

     Example: TRAP_DESTINATION=172.20.35.00:1162
     or:      TRAP_DESTINATION=Fido:1162
     Sets the trap destination to the NIS named host "Fido" port 1162.
     or:      TRAP_DESTINATION=`hostname`:1162
     Sets the trap destination to the local host port 1162.

     Note: Port 1162 is the Storage Automated Diagnostic Environment's general
     SNMP trap listener port and for this patch it can not be changed. This
     port is shared by other agents who receive traps processed by the Storage
     Automated Diagnostic Environment.

o For full functionality of Storage Automated Diagnostic Environment 2.3 Device
  Edition 2.3 patch 116720-10 with SAM-QFS 4.2 it is required that Storage
  Automated Diagnostic Environment 2.3 Device Edition (master or slave) be
  installed  on the same host as the SAM-QFS 4.2 that you wish to monitor.
  If you chose to monitor SAM-QFS 4.1 or 4.2 remotely (meaning that Storage
  Automated Diagnostic Environment 2.3 Device Edition master is installed on
  a host other than that of the SAM-QFS installation) then only the SNMP
  trap support described for SAM-QFS 4.1 will be in affect.



o If you previously had JNI HBA cards installed with the base version of
  2.2.00.03, you will need to run topology discovery again in
  order for this patch to see the JNI HBA cards.

o The Storage Automated Diagnostic Environment is a device monitoring tool
  that probes devices on the ethernet and for direct attached storage
  devices, accesses the device on the datapath (Fibre Channel).
  ***************************************************************************
  ***************************************************************************
  For most storage arrays, it is important to queiesce any and all monitoring
  during upgrade operations.
  ***************************************************************************
  ***************************************************************************

  Use the following information that best suits
  this site for stopping the agent from monitoring:

  Stopping the agent
  ------------------
  There are several ways to accomplish the task of stopping the agent
  monitoring agents from probing a storage array during an upgrade.

  One way would be to disable the specific agent from executing.  This would
  allow for the continuing of the monitoring of other types of devices.

    Disabling the agent
    -------------------
      GUI
      ---
        Select General Maintenance -> Maintain Hosts -> host_name
        Deselect the Device as a Category to monitor -> Submit

      CLI
      ---
        There is no cli command in 2.0 to directly affect individual
        categories to monitor.

  The most efficient way to stop the agent from monitoring entirely would
  be to set the stop bit or stop the cron from executing.

    Disabling the agent
    -------------------
      GUI
      ---
        Select General Maintenance -> Stop Agents -> Stop -> Submit

      CLI
      ---
        Execute ras_install and select "P" to postpone the execution of
        rasagent from cron.  This will remove the cron entry that starts
        the agent every 5 minutes.

        NOTE: This will not immediately stop any existing execution of
        the agent.  Use the 'ps` command to ensure all agent
        activity has ended.

                 `ps -ef | grep ras'


o If a Sun StorEdge 3510 FC RAID or 3310 SCSI RAID array was already discovered
  using SUNWstade 2.3.13.006 or earlier, before applying patch 116720-06 or
  greater, the user will need to delete these devices, rediscover the devices
  and create a new topology snapshot after applying this patch.

o If a Sun StorEdge 3510 FC RAID or 3310 SCSI RAID array was already discovered
  before applying patch 116720-06, the user will need to delete these devices,
  rediscover the devices and create a new topology snapshot after applying
  this patch.

  The following Sun StorEdge f/w levels are required before installing
  this patch:

  Sun StorEdge 3510 FC RAID f/w 3.27r SES 1040 or greater. Patch ID 113723-07
  Sun StorEdge 3310 SCSI Raid 3.25s SAF-TE 1159 or greater. Patch ID 113722-05

o The 3510/3310 implements a disk probe utility "Periodic Drive Check Time" to
  periodically check drive availability.

  Set this value to 30 seconds.

o With old Brocade switch firmware, use of SNMP may trigger
  a memory leak in the Brocade firmware, causing a reboot.
  See BugID:  4819138

o You should be familiar with UNIX commands and Sun's disk array
  products before attempting to use this product.

o System administrators should know about security risks associated with
  installing a web server. Take the appropriate action to protect access
  to the SUNWstade port 7654.

o All communicating Master and Slave Agents MUST be executing the
  same version and patch level of Sun's Storage Automated Diagnostic
  Environment.

o If upgrading from SUNWstade 2.0, you must remove the /var/opt/SUNWstade
  directory after pkgrm of SUNWstade 2.0.

o Must use "/opt/SUNWstade" as the package base directory.

o When installing a new patch to SUNWstade:
  stop the agents before installing the update
  and execute the /opt/SUNWstade/bin/ras_install program
  after installing the update

o If there are existing problems with a storage device when the package
  is installed, these problems may not be detected or reported.
  They will, however, generate an event (type of event is based on the
  type of failure) when the error condition is corrected.

o Brocade FC Switch configurations using segmented loop
  (SL) zones can be monitored and diagnosed but the topology
  views will not show connections between devices.

o switchtest and linktest may not provide diagnostics for
  fibre channel links between downrev'd HBAs and/or downrev'd switches
  as well as fibre channel links between switches and virtualization
  engines (VE). This is a result of the current lack of support for the
  fabric ECHO test command in these products.

o Some browsers such as Netscape 7 will prompt for a username/password
  when applets are loaded.  Enter the same username/password which was
  used to initially log in.

o When using Netscape 6.2.1 with SSL enabled the user MUST point
  the browser to https://hostname w/o the port #.

 When using Netscape 4.79 the following error may occur if
  seperate browser sessions are initiated from the command line. The user
  may or may not see this specific message but this error will prevent the
  user from seeing the topology view screens:

  #error The certificate issuer for this server is not recongized by Netscape.
  The security certificate may or may not valid.
  Netscape refuses to connect to this server (-8179) java40.tar/ifc11.jar
  java.lang.SecurityExcpetion: system classes not signed

  exit Netscape (close all windows)

  Solaris:
  cd .netscape
  mv key3.db key3.bad
  mv cert7.db cert7.bad
  restart Netscape

  Windows:
  C:/Program Files/Netscape/Users/username/
  rename key3.db key3.bad
  rename cert7.db cert7.bad

o Creation of /etc/deviceIP.conf file may be utilized for discovery
  of all supported FC devices that have ethernet connectivity.
  In order to discover 3510/3310 or SAM-QFS devices with this method, you must
  enter the device type in the deviceIP.conf file.
  Example:

  # device_ip  device_name [device_type]  # comments
  # The device_type field is optional but required for devices that
  # do not support snmp
  10.0.0.1 t3-1a
  10.0.0.2 fc3510   3510
  10.0.0.3 3900     se
  10.0.0.4 samName samfs  #<- SAM-QFS Example.


o Subnet discovery is the preferred method of discovery. This will discover
  all devices that support SNMP. NOTE: 3510 does not support SNMP, use
  the /etc/deviceIP.conf to discover these devices.

o When removing patches, turn off the monitoring of all devices under:

  Administration -> Maintain Hosts

  before removing a patch.
  Turn the monitoring back on after the patch has been removed.


o If the Solaris host that the Master is installed on uses 'compat'
  in the /etc/nsswitch.conf file, the Administrator must manually set the
  User Password. Checking the "NIS Password" box does not work in
  conjunction with 'compat'.

o In order to monitor HDS, the monitoring host must be given SNMP access
  to the HDS array.

o Support for Inrange switches includes topology and port status only.

116720-10 CHANGES AND ENHANCEMENTS
==================================

o  Support for the Sun StorEdge SE 5210 NAS and Sun StorEdge SE 5210 EU
o  SAM-QFS 4.2 SNMP traps, Asset/Health Instrumentation Log Parsing and
   Device Firmware Revision Checking.


116720-09 CHANGES AND ENHANCEMENTS
==================================

o  Support for Perl 5.8.3
o  Bug fixes


116720-07 CHANGES AND ENHANCEMENTS
==================================

o  Support for the Sun StorEdge 3511 serial ATA storage Array
o  Support for the Sun StorEdge 3310 and 3120 SCSI JBOD Arrays
o  SAM-QFS 4.1 SNMP trap feature
o  Bug fixes


116720-06 CHANGES AND ENHANCEMENTS
==================================

o  Support StorEdge 3510 FC array firmware 3.27r and sccli 1.5
o  Support StorEdge 3310 SCSI RAID array 3.25s and sccli 1.5
o  New Event Severity Mapping:

   #  Previous      Current
   -  -----------  -----------
   0  Information   Information
   1  Warning       Major
   2  Error         Critical
   3  Down          Down

o  Bug fixes


116720-03 CHANGES AND ENHANCEMENTS
==================================

o  Bug fixes


2.3 CHANGES AND ENHANCEMENTS
============================

o  SAN 4.3
o  Support Inrange FC9000 Switches
o  Support for JNI Host Bus Adapters
o  Support for HDS
o  Support for 6140 McData FC Switch
o  Periodic vol verify scheduling
o  Updated revision matrix
o  Bug fixes


2.2 CHANGES AND ENHANCEMENTS
============================

o  Added monitoring support for McData ED6064 and ES3232 FC switches
o  Added HUB support
o  Added support for 2Gb T9840B Tape Drive
o  Support 3900SL/6900SL
o  Support StorEdge 6120
o  Support StorEdge 6320
o  Support StorEdge 3510 FC array


2.1 CHANGES AND ENHANCEMENTS
============================

o  Added notification provider for SunMC
o  Support Internal FC disks
o  Support V880 Disk Array
o  Support D2
o  Support Sun StorEdge(TM) Network FC 2 GB-8/16/64
o  Support Brocade Silkworm Fibre Channel Switch
o  Support Brocade Silkworm 2GB Fibre Channel Switches
o  Support 3900SL/6900SL
o  Support Solaris 9
o  Added link and launch interface for management applications
o  Added CLI stresstest
o  Added CLI interfaces
o  Improved User Interface
o  Added revision checking matrix 3.13
o  Add SSL
o  Support Netscape 6
o  Support IE 5.0
o  Miscellaneous additions and bug fixes
o  Documentation updates
o  Improved online help
o  I18N ready
o  L10N ready


EXTERNAL PRODUCTS AND PACKAGES
==============================

o SUNWsamfs version 4.1 is required for the SAM-QFS SNMP feature.

o SunMC - Storage Automated Diagnostic Environment is capable of sending alerts
to the Sun Management Center (SunMC). Two packages must be installed for this
functionality.  These packages are installed using the pkgadd(1) utility and
are located in the /System/SunMC directory of the Storage Automated Diagnostic
Environemnt base directory.

  o SUNWesraa - This SunMC Module package is designed for the SunMC agent
    environment and must be installed on a host that has the SunMC agent
    running on it. This may or may not be the Storage Automated Diagnostic
    Environment host. This module module receives data from the Storage
    Automated Diagnostic Environment and forwards it to the SunMC server.
    The host IP address for the server containing the SunMC server must be
    provided in the Providers page.

  o SUNWesras - This SunMC Module package is designed for the SunMC server
    environment and is optionally installed on the SunMC server host.
    When installed, this package adds the ability for "Group Operations".
    The package is installed using the standard Solaris pkgadd(1) utility.

  The following process is recommended in order to install and activate SunMC
  for Storage Automated Diagnostic Environment and assumes that the SunMC
  application is running.

  (a) Install the SunMC agent on the selected host. It is recommended that this
      also be the Storage Automated Diagnostic Environment station.  If
      slave agents are used, this package should be installed on the
      host which is configured as the master agent.  Refer to the appropriate
      SunMC documentation for additional information.

  (b) Install the module package SUNWesraa on the same machine identified in
      step (a).

  (c) Use the SunMC command/console to start the SunMC agent and load the module
      called "rasagent". While the module is loaded you will be required to
      provide the IP address of the Storage Automated Diagnostic Environment
      management station in the "Provider IP Address" field.

  (d) In Storage Automated Diagnostic Environment, add the IP address of the
      SunMC "Server".  The "Port" used is normally 18055 and the "Resource" can
      be anything.

  (e) If user wants to perform the "Group Operation" in SunMC, he should install
      the module package SUNWesras on the SunMC server host.

Once activated the SunMC module will receive information on what devices are
being monitored and will display alarms in the SunMC.  If further information
is required for the alarms, log into the instance of Storage Automated
Diagnostic Environment to view alert details.


KNOWN, UNRESOLVED PROBLEMS
==========================

o Systems that have Part Number 370-5773 installed are potentially exposed to 
  Bug 5083713. From the Bug. Use of sccli on V100 or V120 systems with the USB
  card reader option (PN: 370-5773). A work around for this bug will be 
  available in the sccli 1.62 release. 

o The 3120/3310 Series array will report the following false errors
  when creating a topology:

  Cannot identify this device ( ###### )it may not be monitored!
                   -  or -
  device ##############	was discovered inband but is not monitored, skipping!

  The device is actually monitored.

  Reference BugId: 5064706 SCSI: topology errors

o The 3120/3310 Series array topology is missing SCSI links.

  Reference BugId: 5064706 SCSI: topology errors


o The 3120/3310 SCSI JBOD revision check only supports a safte firmware check
  (1159). A sccli F/W problem (listed below) prevents the disk revision check
  on both of these devices.

  Reference BugId: 5044120 "3310/3120 JBOD - Not displaying disk information"

o The 3511 revision check supports the following:

    System firmware rev check. (3.27R)
    SES    check (P296)
    pld    check  (0C00)
    SR-1216 router check   (0548)
    pc-150  FC-SATA MUX    (0100)

    Disk  SUPPORT:  HDS72252 / 5VLSA80  (A660)
                    [vendor  / model #  (version)]

o The "diag error" command has been defined as non functional by Dot Hill.
  The data returned back from the SR-1216 contains the SATA router port
  statistics, not the drive port statistics, and is therefore not usable
  in isolating a failing drive.

o The SAM-QFS product does not provide a means (remotely) for the Storage
  Automated Diagnostic Environment to determine when, on which host, or what
  version of SAM-QFS is installed. It is therefore possible for the user to
  add (Add Device) an instance SAM-QFS to the Storage Automated Diagnostic
  Environment that either does not exist or is of some version lower then 4.1.
  No adverse conditions or errors will occur, however the Storage Automated
  Diagnostic Environment would never receive an SNMP trap or post an alarm for
  that instance of SAM-QFS.

o The Storage Automated Diagnostic Environment instruments the "SAM-QFS" application
  and not tape drives and libraries themselves. Therefore, it only has knowledge of issues
  with hardware devices after SAM-QFS has attempted to access them. So, if for example a
  tape drive loses power, The Storage Automated Diagnostic Environment will not issue an alarm
  or notifiy the user until SAM-QFS has attempted to use or perform I/O to that tape drive.
  It is possible that SAM-QFS may go for several hours without accessing a tape drive or library.

  The Administrator needs to ensure that only real instances of SAM-QFS
  version 4.1 or 4.2 are added during Add Device. The IP number entered on the
  Add Device screen must also be accurate. This IP is not used to
  communicate with the SAM-QFS host, but it is necessary in order for
  the Storage Automated Diagnostic Environment to determine which host an
  SNMP trap came from. Multiple instances of SAM-QFS are supported in
  the Storage Automated Diagnostic Environment.


PATCH MEDIA CONTENTS
====================

See the corresponding README file.


RESOLVED PROBLEMS with patch 116720-10
======================================

Bug Id  Synopsis
------- ------------------------------------------------------------------
4657748 maintain the alternate path to perl if one is supplied during ras_install
4807964 Monitor > Topology filter with SUNWstade shows incorrect info in filter
4944282 3510 - after a disk failure, device summary report should go to RED fault.
4955202 No RA or PC in aggregated event 30.26.ERR_module.sfc
4956196 HELP: No help found for 'discman'
4956680 HELP: NSCC Remote Notification Provider Omitted
4956688 HELP: Add a Device Manually missing Device categories
4956691 HELP: Add a Device Manually procedures now link user to Discovery
4967208 Add Devices for a slave fails if Master cannot access device on network
4982259 Storade 2.3 does not install on S10 (perl version problem)
4984144 Online docs "Add Device" section does not include 3510 arrays.
4996327 Help: Two "Deleting a Topology" pages exist
5017996 brocade: not documented that password is needed for zone info and diags
5025145 3310: Firmware upgrade event (MAJOR) for the same level, "325S to 3.25S"
5025188 vol verify Device Summary shows two lines for the same volume when completed
5025192 Device Summary shows Volume = cust assigned name wo/array name of volume
5026835 Email with un necessary info
5027014 ADE not appear to be monitoring volume ownership
5028233 3310: 18.20.308 and 18.20.313 events are inappropriate for scsi device
5036310 samfs should be discoverable via CLI
5041371 3120: summary report: serial numbers are causing mis-labled part-numbers
5042495 3310jbod: summary report: disk part number is actually chassis part number
5042803 Datahost provider not listed in ras_admin provider_list
5045510 3511: incorrect top level event for missing controller
5048413 3120jbod: summary report: disk slot shows info for 'Absent' slots
5049094 MessageLog skipping /var/adm/messages.0 file
5051088 a3500 audits identify the differently than all other events
5052176 add the pro.nscc_email to the rasagent.mk file
5053490  Cannot identify this 3310 ( )it may not be monitored!
5058366 M2b20: revision checking reports ERR status for IVORY hbas
5059369 When unproccessed event file grows too large agent can hang
5059422 Currently storade has a number of pages that ping slaves before loading
5061638 NSCC:  NWS_Battery class InstallDate format is incorrect.
5063328 SAM-QFS discovery should be available is a standard form
5063461 3511: event 7.5.66 needs PC and RA
5063549 3120jbod: recieved 'Fault' alert rather than thermal event
5064232 NSCC 3310raid: replaced emu board does not generate remove event
5064706 minnow scsi: topology errors
5066803 Release Notes for patch 116720-08a needs 5210 info
5067391 StorADE unable to distinguish between tape in use and a down or offline tape dr
5068471 NSCC: Volumes reported by 6120 and system 1 are incorrect
5068477 "Assign Admin Group" should change its use of the  "-" charactor
5070249 I18N:depkg  Inband 3310/3510 Discovery menu item missing in localized version
5071194 RFE: add st driver revision checking
5076821 NSCC: HDS 9900 is missing the model number in the TOC stream.
5077190 NSCC: Need to provide SAM-QFS IP address and Manufacturer in TOC stream.
5078406 snmp mib for StorADE does not pass validation testing.
5079804 3310 Product identifies FRU's differently between Discovery/Audit and Insert/Rem
5087580 rasagent should not rotate system log file -  /var/log/syslog
5089208 Many of the Probable Causes of 5210 trap event are truncated
5092010 storade crashes in FSA module
5098432 5210, Update PC and RA of actionable MirrorLinkDown event 47.20.388
5098442 5210, Update PC and RA of actionable MirrorLogFull event 47.20.389
5098447 5210, Update PC and RA of actionable MirrorLogAlert event 47.20.406

(from 116720-09)
5068096 ras_install doesn't respect PATH variable when deciding which perl to run
5068538 ras_install segmentation faults when perl 5.8 is installed in /usr/local/bin
5070598 topology snapshot fails with perl 5.8.x installed
5070638 diag tests fail with perl 5.8.x installed
5072900 mcdata displayed as other device
5073542 Segmentation Fault during discovery
5073555 rasagent fails to complete
5073562 Storade fails to add solution rack
5074899 patchrm fails

(from 116720-08)

(from 116720-07)
4287340 Need Manufacturing test mode for OEM re-sellers
4458265 segregate types of T3 messages into different levels and gen different events
4776433 cli ras_admin discover_subnet has no process info
4807806 After any discovery, make sure device monitoring is on
4813689 Add CLI option for removal of alerts.
4818466 (5018840) STORade 2.1.05.003 revision checking reports incorrect current T3 FW r
4837399 NC: add netconnect options to ras_install.exe
4842726 Run Report: "GO" in English
4864398 email notification has no category to manage the "backup" type
4870091 volverify documentation should match available CLI commands
4875483 discovery by ip not fast enough. The discovery does not allways capture 3310
4884017 3510: StorADE does not send event for controller, PLD or SES firmware upgrades.
4930220 3510 - EventCode: 26.3.150 -  does not include disk drive FRU serial number.
4980577 3510: Missing FRU Count, etc from NWS_System
4989796 Help still references OFDG after funtion was removed
5006668 events don't have cause or actions in t3 event advisor
5010348 storade displays deleted, nonexistent volumes on 6320
5016996 qsw_MemberGetAttr returning a bad port no.
5029007 Background Rev Analysis fails on Solaris 8
5029961 SWITCH2.pm module taking errors on large error counters.
5030302 Update linktest to suggest SIO/SRC instead of "Run isolation diagnostics on se2"
5030367 The Instrumentation report for the 3510 returns the Serial Number for the id.wwn
5030422 Storade 3510: disk postition has inconsistant names
5031146 T3 VolVerify test fails to abort
5034097 3310 missing all FRU info except for disks
5035247 ras_admin host_detail doesn't show hostid or ip for masters
5037033 a3500fc: 2.41.13 RA needs to include checking events
5037056 a3500fc: all frus not in detailed fru report
5037463 StorADE: diagnostics "Display CLI Command Only" shows incorrect commands
5037465 StorADE: SE3510 diagnostics pop-up warning is misleading
5037468 StorADE: SE3510 diagnostics w/r_buffer_test fails when "Pattern Type" is "User"
5037470 StorADE: SE3510 diagnostics "test3510" CLI cmd doesn't actually run any diags
5037474 StorADE: SE3510 diagnostics w/r_buffer_test ignores "Number of passes:" setting
5037588 3510: summary report lists nvram defaults twice
5037606 3510: summary report shows one ses device
5037625 (5025953) 3510: echo test: failed to start the echo test for pattern 0x7e7e7e7e7
5037669 rev check: displays incorrect fw rev for sanbox2 patch 112429-08
5037820 3310: summary report shows 3 controllers
5037826 minnow: recieving alarms that fru status is "undefined"
5037846 6120: incorrect default value for fw rev
5037875 3510:looptest:failed to start the loop test for pattern 0x7e7e7e7e7e7e7e7e
5038292 diags should allow spaces in options.
5038553 3510: Fan failure requires probable cause and recommended action.
5038589 3510: Fan failure recovery is not detected by StorADE.
5038666 M2b18 : revision checking reporting some hbas as DOWNREV when they are UPREV
5040140 NSCC: Volume information is incomplete for 3510 and 3310
5040256 3510: Pull Battery/Ethernet Card alarm requires additional data for PC and RA.
5040886 3510: Pull Secondary Battery/Ethernet card is not handled well in StorADE.
5040932 3510: secondary battery board not fully charged, should not be actionable.
5041478 NSCC: Packages report shows revisions of StorADE packages 2.3 with no specifics
5043989 a3500fc: summary: extra disk entry in fru section
5044556 NSCC: A5k Toc file doesn't have FruCount and PowerCount info.
5048150 StorADE 2.3: Lost communication (OutOfBand) error when 3510/3310 password is set
5052542 Storade 2.3 does not reliably work with some perl versions
5054413 M2b20:Admin>General Maint>Start or Stop agents page displays only 1 out of 2 pag
5060055 after firmware upgrade to 3.13 customers get event 4.3.99

(from 116720-06)
4718528 when slave is down, revision check reports "Nothing to report"
4798427 StorAde does not always properly recognize  & report a battery refresh cycle.
4807326 Keep date when device was first discovered in Storade 2.2 GUI
4811852 Storade should scan ofdg tests for failure info and summarize it
4812064 E-mail message should indicate a state change rather than removal/installation
4816620 Clear button should be renamed in the topology snapshot window
4832043 T3 disks in Monitor Topology, are not represented correctly controller in
4851194 add filtering to the Admin Group pull-down in Maintain Devices
4865423 When trying to launch the UI on Indy w/2.1 from 2.2 it fails.
4867388 4.3.99 email notification not called out as "(Actionable)"
4921684 Storade causes FC tape resets to happen
4943397 3510 (f-minnow3) device asset not correct.
4965661 Need PC with actionable dsp.StateChangeEvent 30.26.35
4965880 3510: components.disk.1 26.3.150 event is displayed twice in the alarms page.
4966985 BP and/or RN should clearly define how to configure StorADE for < Solaris 2.8
4967406 Diagnositc: volverifytest and volverify descriptions are exactly the same
4967433 storade2.2 deviceguide.pdf should not be included in the SUNWstade 2.3 release
4967437 Administator Overview html file has outdated gif files for the GUI
4968659 Aggregated event when loop card disabled shows ctlr as root cause (no PC/RA)
4969310 messages.3310 file shows up in Monitor->logs even though the file does not exist
4970761 I18N: need to add link for ko and zh_TW (zt) online Help content
4971403 an incorrect alarm for a SE3510 downed device.
4973956 M2b9: Revision checking reports JNI revision incorrectly
4974547 RN: "Qualified Platform" is not up to date
4975681 Application launch label does not include 6920 on instrumentation report page
4976221 20.20.313 MPXIO_offline not in event grid empty fields in Alarm Details
4976420 vol verify scheduler does not allow a seleceted option to be de-selected
4978371 a5200s incorrectly reported as down in Current Alarms
4979510 Hide Create Selected Topologies button when single topology available
4981402 Discovery > eliminate T3 and 6120 (background) method
4982063 Event labels are in variable(code) style, not user text
4984025 SunMC 3.5 rasagent delete the StorADE 2.3 topology after restart/reboot
4984433 DOC: add the GSG to the depkg and patch
4985593 Topology is blank.  Java Applet crashing.
4985658 'Not Installed' should not be an event for a5k gbics
4985729 Some ReleaseNotes ReleaseNotes.sys content out of date, need fix
4986342 When creating a new logical drv, status change should be notice
4987836 Sense key events in the log are generating 2 separate events
4988862 StorAde to supply a cleaner XML document
4990367 notifications for unassigned devices get sent out to all administrative groups
4992920 Brocade new switches type shown as 3x00 Brocade in StorADE discovery
4992961 t3/6120 logfile policy sets 'WARNING' as error/critical messing up aggregation
4993047 Brocade new switches not supported in StorADE diagnostic
4993206 Discovery function reports Brocade SilkWorm 24000 as type: 3x00
4993869 Storade 2.3 is generating A3500FC insertion events periodically when agent runs
4994443 lower severity of 4.3.99  VolVerify cannot run because disk scrubber is active
4994517 storade 2.3 sense key info must match updates to 2.2
4994558 nc shuttle file fills up to quickly for large configurations
4994567 RN: Need to update SUNWsan and luxadm requirements and correct GSG pub number
4995917 Incorrect Revision Analysis alarm - Storade has wrong "ExptVers"
4997993 NWS_StorageVolume has no associations to disks or array
4998615 ras_admin discover_inband fails if devices already discovered
5003208 T3/6120 discovery is not possible if your logfile is over 40000 lines
5005107 Documentation -> Admin -> Overview references "StorADE"
5006666 truncated messages coming from t3 events
5006849 events and ReleaseNotes contain the text "StorADE"
5015210 add a test to check event grid information entered for testing
5015618 3510: The topology view is incorrect.
5015913 all devices are green after the first discovery
5016945 add start_trap to the SUNWstade package
5016953 t3 instrumentation report is off slice.count is incorrect in some cases
5016973 revision analysis for 6120s is not at current patch revision
5019028 SunMC: Sometime the alarm message will be lost
5026670 the IP Address of an email host must be used in Config Options for sendmail mail

(from 116720-05)

(from 116720-04)

(from 116720-03)
4460070 Should monitor for reallocation of blocks as indication of drive going bad
4524940 Req user notification if multiple users are logged on and password changes
4675730 Request that baterry fresh cycles on T3's are phonehome as nobeep notifications
4743552 Storade Error From T3 Notification of Data Auto Re-Allocated
4809298 6120-ofdg is unpredictable, int passes/fails, leaves unit in unknown state
4812633 agent reports ERR cron_conflict
4837280 send  vol-id with each lun in storade -> DE interface
4846729 Summary report is not reporting associated 6320 lun name like 6120 and t3b does.
4848813 HELP: Stoplight not documented in online guide
4848857 Service Advisor popup should contain event code for the event.
4851192 chunk rasagent executions into segments so that notifications can ocurr sooner
4863264 se2configcheck never automatically updates status to Done, must "sync"
4954827 add the ability to send a notice thru the snmp trap provider
4964395 NSCC: the nscc email provider is hanging on a 663K email xfer
4964587 ras-admin device_delete does not remove the SE3510 from the configuration
4965660 No PC or RA with actionable host.AlarmEvent 7.5.ERR_lun.SExxxx
4965930 After communication is regained to a 3510, old events and alarms are displayed.
4965968 Event 17.3.36 not in Event Advisor.
4966100 Cannot install Netconnect 3.0.4 SUNWsrssp pkg with Storade 2.3
4966402 subnet discovery tries to add an invalid IP, then post error
4966564 Alarms -> Current Alarms page truncates names and topics
4967065 Storade_pvr registration should be change from 002.002.000 to 002.003.000
4968616 3510: rasagent -d3 does not excute diag error -chan on the disk 0.
4971063 6320 : se_extract should collect the properties files from 6020 arrays.
4971412 multiple alarms created for single disk failure in a5k
4971873 Wrong disk FW revision for seagate 18gb Half Height Model# ST118202FC
4975099 ESM: Instrumentation report for Brocade 1Gb & 2Gb switches is missing port speed
4975152 monitor logs on slave gives error for /var/adm/messages
4975204 killvolverify does not read the default password::needs device summary override
4977611 loopcard firmware version is not being sent in 6020 discovery toC stream
4984533 Version number not updated after applying StorADE 2.3 patch.
4991012 SUNWstade install_netconnect fails to include library

(from 116720-02)

(from 116720-01)
